Bug 1465654 - [RFE] Tower inventory group info available in CloudForms
[RFE] Tower inventory group info available in CloudForms
Status: ASSIGNED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: cfme-future
Assigned To: John Hardy
Dave Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 17:04 EDT by Jeffrey Cutter
Modified: 2017-08-01 10:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Ansible


Attachments (Terms of Use)
tower inventory showing existence of group and all hosts in the inventory (32.08 KB, image/png)
2017-06-29 16:43 EDT, Jeffrey Cutter
no flags Details
Tower image showing hosts in TestGroup, part of Demo Inventory (27.31 KB, image/png)
2017-06-29 16:44 EDT, Jeffrey Cutter
no flags Details
CloudForms image showing Demo Inventory and lack of group info summary (25.32 KB, image/png)
2017-06-29 16:45 EDT, Jeffrey Cutter
no flags Details
CloudForms image showing Demo Inventory and lack of group info configured systems (46.14 KB, image/png)
2017-06-29 16:46 EDT, Jeffrey Cutter
no flags Details

  None (edit)
Description Jeffrey Cutter 2017-06-27 17:04:57 EDT
Description of problem:

In the CloudForms UI, when viewing Ansible Tower inventories (Automation -> Ansible Tower -> Explorer) under the Tower provider inventories and/or under the Configured systems, it would be helpful to be able to know what Inventory groups configured systems are part of.

We were looking to use these inventories to programatically set group ownership on VMs for example (the same info would need to be accessible from Automate).

Version-Release number of selected component (if applicable):

5.8
Comment 2 James Wong 2017-06-28 10:41:46 EDT
Jeffrey,

The inventory_group info is there already. The association name is "inventory_root_group". See my console output here,

irb(main):103:0> pp ConfiguredSystem.first.inventory_root_group
  ConfiguredSystem Load (0.4ms)  SELECT  "configured_systems".* FROM "configured_systems" ORDER BY "configured_systems"."id" ASC LIMIT $1  [["LIMIT", 1]]
  ConfiguredSystem Inst Including Associations (0.3ms - 1rows)
  EmsFolder Load (0.4ms)  SELECT  "ems_folders".* FROM "ems_folders" WHERE "ems_folders"."id" = $1 LIMIT $2  [["id", 4], ["LIMIT", 1]]
  EmsFolder Inst Including Associations (0.1ms - 1rows)
#<ManageIQ::Providers::AutomationManager::InventoryRootGroup:0x007f949b9b1068
 id: 4,
 name: "Dev-VC60",
 ems_id: 2,
 created_on: Mon, 13 Mar 2017 15:03:49 UTC +00:00,
 updated_on: Mon, 13 Mar 2017 15:03:49 UTC +00:00,
 uid_ems: nil,
 ems_ref_obj: nil,
 ems_ref: "2",
 type: "ManageIQ::Providers::AutomationManager::InventoryRootGroup",
 hidden: nil>
=> #<ManageIQ::Providers::AutomationManager::InventoryRootGroup id: 4, name: "Dev-VC60", ems_id: 2, created_on: "2017-03-13 15:03:49", updated_on: "2017-03-13 15:03:49", uid_ems: nil, ems_ref_obj: nil, ems_ref: "2", type: "ManageIQ::Providers::AutomationManager::InventoryR...", hidden: nil>
irb(main):104:0>
Comment 3 Jeffrey Cutter 2017-06-28 12:45:25 EDT
James,

That appears to be providing the name of the inventory, not the name of the group within the inventory.  Can you verify?

Thanks,
-Jeff
Comment 4 Greg Blomquist 2017-06-29 11:25:58 EDT
Jeff,

could you provide a screenshot of the page you're describing.  And, maybe a quick mock-up of what you're looking for on the page?
Comment 5 Jeffrey Cutter 2017-06-29 16:43 EDT
Created attachment 1292960 [details]
tower inventory showing existence of group and all hosts in the inventory
Comment 6 Jeffrey Cutter 2017-06-29 16:44 EDT
Created attachment 1292961 [details]
Tower image showing hosts in TestGroup, part of Demo Inventory
Comment 7 Jeffrey Cutter 2017-06-29 16:45 EDT
Created attachment 1292962 [details]
CloudForms image showing Demo Inventory and lack of group info summary
Comment 8 Jeffrey Cutter 2017-06-29 16:46 EDT
Created attachment 1292963 [details]
CloudForms image showing Demo Inventory and lack of group info configured systems
Comment 9 Jeffrey Cutter 2017-06-29 16:53:38 EDT
I'm not too concerned about what it looks like, having the Tower Inventory Group information available in CloudForms would be useful.  Ultimately, I would have used it in this case from automate, not the UI.  But seeing the same in the UI would also be helpful.
Comment 10 James Wong 2017-06-30 09:30:35 EDT
Jeffrey,

I see what you meant.

Thanks,
James
Comment 12 James Wong 2017-06-30 15:53:38 EDT
Jeffrey,

So this is mainly for the external Tower use case, right?

The implication is weather we need to implement CUD of groups via CFME UI.  For external Tower use case, user can go through Tower native UI to do CUD.

regards,
James
Comment 13 Jeffrey Cutter 2017-07-05 13:50:35 EDT
Hi James,

Assuming there is no way to put hosts into groups with Ansible inside, then that's true.

Thanks,
-Jeff

Note You need to log in before you can comment on or make changes to this bug.